Website Builder API
POST /services/websites/v1/menus/get Auth

Menus Get

Request Body Required

FieldTypeRequiredDescriptionExample
id string Yes ID of the menu to retrieve (must belong to current project and not be archived). 4886

Responses

200
422
401
403
429
Base URL
https://api.wemasy.nl/api
Authentication

Request Sample
cURL
JS
PHP
Python
Response Example
{
    "error": false,
    "message": "Menu fetched successfully",
    "data": {
        "id": 4886,
        "title": "Main Menu",
        "label": "Main Menu",
        "has_code": true,
        "items": "[{\"key\":\"117001_76Wmu\",\"layout\":\"item\",\"attributes\":{\"id\":117001,\"label\":\"Home\",\"title\":\"Home\",\"page\":{\"label\":\"/\",\"value\":\"/\"},\"link\":\"/\",\"type\":\"default\",\"items\":[],\"styling\":[{\"layout\":\"style\",\"attributes\":{\"item_type\":null,\"column_width\":null,\"text\":null,\"class\":null,\"style_type\":\"default\",\"text_color\":null,\"icon\":null},\"key\":\"default_style_kHQZQjJASL\"}]}},{\"key\":\"117003_MQCit\",\"layout\":\"item\",\"attributes\":{\"id\":117003,\"label\":\"About us\",\"title\":\"About us\",\"page\":{\"label\":\"/#aboutus\",\"value\":\"/#aboutus\"},\"link\":\"/#aboutus\",\"type\":\"submenu_simple\",\"items\":[{\"key\":\"117005_NfyVM\",\"layout\":\"item\",\"attributes\":{\"id\":117005,\"label\":\"Story\",\"title\":\"Story\",\"page\":{\"label\":\"/story\",\"value\":\"/story\"},\"link\":\"/story\",\"type\":\"default\",\"items\":[],\"styling\":[{\"layout\":\"style\",\"attributes\":{\"item_type\":null,\"column_width\":null,\"text\":null,\"class\":null,\"style_type\":\"default\",\"text_color\":null,\"icon\":null},\"key\":\"default_style_iNpS0Qa9qN\"}]}}],\"styling\":[{\"layout\":\"style\",\"attributes\":{\"item_type\":null,\"column_width\":null,\"text\":null,\"class\":null,\"style_type\":\"submenu_simple\",\"text_color\":null,\"icon\":null},\"key\":\"default_style_pHgX8AVoAc\"}]}}]"
    }
}

Try It
Request Body Required

Export